[arch-commits] Commit in libidl2/repos (3 files)

Jan de Groot jgc at archlinux.org
Mon Sep 15 09:55:42 EDT 2008


    Date: Monday, September 15, 2008 @ 09:55:29
  Author: jgc
Revision: 12568

Merged revisions 356,10036,12567 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libidl2/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r10036 | jgc | 2008-08-23 15:36:12 +0200 (Sat, 23 Aug 2008) | 2 lines
  
  upgpkg: libidl2 0.8.11-1
      Fix info installation
........
  r12567 | jgc | 2008-09-15 15:54:46 +0200 (Mon, 15 Sep 2008) | 1 line
  
  upgpkg: libidl2 0.8.11-1
........

Added:
  libidl2/repos/extra-x86_64/libidl2.install
    (from rev 12567, libidl2/trunk/libidl2.install)
Modified:
  libidl2/repos/extra-x86_64/	(properties)
  libidl2/repos/extra-x86_64/PKGBUILD

-----------------+
 PKGBUILD        |   12 ++++++++----
 libidl2.install |   13 +++++++++++++
 2 files changed, 21 insertions(+), 4 deletions(-)


Property changes on: libidl2/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /libidl2/trunk:1
   + /libidl2/trunk:1-12567

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-09-15 13:54:46 UTC (rev 12567)
+++ extra-x86_64/PKGBUILD	2008-09-15 13:55:29 UTC (rev 12568)
@@ -3,21 +3,25 @@
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=libidl2
-pkgver=0.8.10
+pkgver=0.8.11
 pkgrel=1
 pkgdesc="A front-end for CORBA 2.2 IDL and Netscape's XPIDL"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('glib2>=2.14.1')
+depends=('glib2>=2.18.0')
 makedepends=('pkgconfig')
+install=libidl2.install
 options=('!libtool' '!emptydirs')
 source=(http://ftp.gnome.org/pub/gnome/sources/libIDL/0.8/libIDL-${pkgver}.tar.bz2)
 url="http://www.gnome.org"
-md5sums=('9e10a77ff225587e59c0a28c66b4faa7')
+md5sums=('9d0d4895fc23f7de9514fb13f0fdc9ba')
 
 build() {
   cd ${startdir}/src/libIDL-${pkgver}
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  
+  rm -f ${pkgdir}/usr/share/info/dir
+  gzip -9nf ${pkgdir}/usr/share/info/*
 }

Copied: libidl2/repos/extra-x86_64/libidl2.install (from rev 12567, libidl2/trunk/libidl2.install)
===================================================================
--- extra-x86_64/libidl2.install	                        (rev 0)
+++ extra-x86_64/libidl2.install	2008-09-15 13:55:29 UTC (rev 12568)
@@ -0,0 +1,13 @@
+info_dir=/usr/share/info
+
+post_install() {
+  install-info ${info_dir}/libIDL2.info.gz ${info_dir}/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  install-info --delete ${info_dir}/libIDL2.info.gz ${info_dir}/dir 2> /dev/null
+}




More information about the arch-commits mailing list